Subject: Re: Last Call: <draft-ietf-6lo-deadline-time-03.txt> (Packet Delivery Deadline time in 6LoWPAN Routing Header) to Proposed Standard

From: Tal Mizrahi <[email-masked]>
Date: Sun, 23 Dec 2018 10:49:54 +0200

Hi,

I am not a 6lo native, but I reviewed the draft specifically from a
timestamp formatting perspective.
In the NTP working group we currently have a draft in WGLC that presents
guidelines for defining timestamp formats.
https://tools.ietf.org/html/draft-ietf-ntp-packet-timestamps-05

I believe that the definitions of the timestamps (DT and OT)
in draft-ietf-6lo-deadline-time should be more detailed. For example,
aspects about the epoch and the potential effect of leap seconds are
currently not described in the current draft.
I would suggest to follow the timestamp specification template of Section 3
in draft-ietf-ntp-packet-timestamps-05.

Thanks,
Tal.

On Mon, Dec 10, 2018 at 2:27 PM The IESG <[email-masked]> wrote:

>
> The IESG has received a request from the IPv6 over Networks of
> Resource-constrained Nodes WG (6lo) to consider the following document: -
> 'Packet Delivery Deadline time in 6LoWPAN Routing Header'
>   <draft-ietf-6lo-deadline-time-03.txt> as Proposed Standard
>
> The IESG plans to make a decision in the next few weeks, and solicits final
> comments on this action. Please send substantive comments to the
> [email-masked] mailing lists by 2018-12-24. Exceptionally, comments may be
> sent to [email-masked] instead. In either case, please retain the
> beginning of
> the Subject line to allow automated sorting.
>
> Abstract
>
>
>    This document specifies a new type for the 6LoWPAN routing header
>    containing the delivery deadline time for data packets.  The deadline
>    time enables forwarding and scheduling decisions for time critical
>    IoT M2M applications that need deterministic delay guarantees over
>    constrained networks and operate within time-synchronized networks.
>
>
>
>
> The file can be obtained via
> https://datatracker.ietf.org/doc/draft-ietf-6lo-deadline-time/
>
> IESG discussion can be tracked via
> https://datatracker.ietf.org/doc/draft-ietf-6lo-deadline-time/ballot/
>
>
> No IPR declarations have been submitted directly on this I-D.
>
>
> The document contains these normative downward references.
> See RFC 3967 for additional information:
>     draft-ietf-6tisch-terminology: Terms Used in IPv6 over the TSCH mode
> of IEEE 802.15.4e (None - IETF stream)
>
>
>
>